---
title: List captions or subtitles
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Stream](https://developers.cloudflare.com/api/python/resources/stream)

[Captions](https://developers.cloudflare.com/api/python/resources/stream/subresources/captions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List captions or subtitles

stream.captions.get(stridentifier, CaptionGetParams\*\*kwargs) -> SyncSinglePage\[[Caption](<https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)>)]

GET/accounts/{account\_id}/stream/{identifier}/captions

Lists the available captions or subtitles for a specific video.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20stream.captions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32

[Link to this property](<#(resource)%20stream.captions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Caption: …

</summary>

generated: Optional\[bool]

Whether the caption was generated via AI.

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20generated">Link to this property</a>

label: Optional\[str]

The language label displayed in the native language to users.

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20label">Link to this property</a>

language: Optional\[str]

The language tag in BCP 47 format.

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20language">Link to this property</a>

<details>

<summary>

status: Optional\[Literal\["ready", "inprogress", "error"]]

The status of a generated caption.

</summary>

One of the following:

"ready"

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"inprogress"

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"error"

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.captions%20%3E%20(model)%20caption%20%3E%20(schema)>)

### List captions or subtitles

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.stream.captions.get(
    identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.generated)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "generated": true,
      "label": "Türkçe",
      "language": "tr",
      "status": "ready"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "generated": true,
      "label": "Türkçe",
      "language": "tr",
      "status": "ready"
    }
  ]
}
```